Necessarily Precedes Mischief

    deepnotify

    0.4.1 • Public • Published

    deepnotify

    Takes a root dir and recursively streams present and future files using inotify(7).

    build status dependency status dev dependency status

    Example

    var deepnotify = require('deepnotify');
     
    var d = deepnotify('.');
    d.pipe(process.stdout);
     
    setTimeout(function() {
      d.close();
    }, 5*1000);

    Mehods

    var deepnotify = require('deepnotify');

    var d = deepnotify(root)

    Return a redable stream of all present and future files recursively beneath a root directory.

    d.close()

    Close all inotify(7) watches on root and all its subdirectories.

    Compatibility

    deepnotify requires Node.js version 0.10.0 or higher and a Linux system with a kernel version of 2.6.13 or higher.

    License

    MIT

    Keywords

    none

    Install

    npm i deepnotify

    DownloadsWeekly Downloads

    3

    Version

    0.4.1

    License

    MIT

    Last publish

    Collaborators

    • uggedal